ValueAggregatorReducer (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.lib.aggregate, class: ValueAggregatorReducer

Package org.apache.hadoop.mapreduce.lib.aggregate

# Class ValueAggregatorReducer<K1 extends WritableComparable<?>,V1 extends Writable>

java.lang.Object
org.apache.hadoop.mapreduce.Reducer<Text,Text,Text,Text>
org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregatorReducer<K1,V1>

@Public @Stable public class ValueAggregatorReducer<K1 extends WritableComparable<?>,V1 extends Writable> extends Reducer<Text,Text,Text,Text>
This class implements the generic reducer of Aggregate.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

  `org.apache.hadoop.mapreduce.Reducer.Context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueAggregatorReducer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `reduce(Text key, Iterable<Text> values, Reducer<Text,Text,Text,Text>.org.apache.hadoop.mapreduce.Reducer.Context context)`
  This method is called once for each key.
  `void`
  `setup(Reducer<Text,Text,Text,Text>.org.apache.hadoop.mapreduce.Reducer.Context context)`
  Called once at the start of the task.

  ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

  `cleanup, run`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValueAggregatorReducer

    public ValueAggregatorReducer()

- ## Method Details

  - ### setup

    public void setup(Reducer<Text,Text,Text,Text>.org.apache.hadoop.mapreduce.Reducer.Context context) throws IOException, InterruptedException
    Description copied from class: `Reducer`
    Called once at the start of the task.
    Overrides:
      `setup` in class `Reducer<Text,Text,Text,Text>`
    Throws:
      `IOException`
      `InterruptedException`

  - ### reduce

    public void reduce(Text key, Iterable<Text> values, Reducer<Text,Text,Text,Text>.org.apache.hadoop.mapreduce.Reducer.Context context) throws IOException, InterruptedException
    Description copied from class: `Reducer`
    This method is called once for each key. Most applications will define their reduce class by overriding this method. The default implementation is an identity function.
    Overrides:
      `reduce` in class `Reducer<Text,Text,Text,Text>`
    Parameters:
      `key` - the key is expected to be a Text object, whose prefix indicates the type of aggregation to aggregate the values. In effect, data driven computing is achieved. It is assumed that each aggregator's getReport method emits appropriate output for the aggregator. This may be further customized.
      `values` - the values to be aggregated
      `context` -
    Throws:
      `IOException`
      `InterruptedException`